## Changes made to payment-ui-components

#### 2.1.4
  * Replaced polyfill string.includes to use indexOf instead

#### 2.1.3
  * Bugfix to polyfill string.includes

#### 2.1.2
  * Polyfill for string.includes

#### 2.1.1
  * Dropdown style updates. Just some long overdue tunings

#### 2.1.0
  * Added new component: ComboButton - Combined button and dropdown
    - This component also feature an experimental theme-approach. Might be extended into a theme-wrapper component
  * Added css-browser-prefixes to animation in spinner, got a bug for that component in a webpack 4 project.

#### 2.0.0
  * Removed Grid, Pagination, GridFilter and AceEditor - They have been moved to [payment-ui-bo-components](https://github.com/devcode-git/payment-ui-bo-components), this to allow:
    - payment-ui-component to be a more lightweight set of components
    - Hold less complex components
    - Not have interdependecies between the components (GridFilter used ComboBox for example)
  
  * ComboBox
    - Bugfix: New options wouldn't be rendered in case there was the same amount of options received

  * General
   - Clared all dependecies, nothing left except dev-deps for compiling

#### 1.6.5
  * Button
   - Css bugfix: Loader didn't appear correcly when button was disabled

  * BamboraGrid
   - Handle ColumnSettings as an Array to keep correct order + introduced the order property to each column. Optional but will decide in which order the columns are rendered.

#### 1.6.4
  * Combobox
    - Default value for customAttrs use new Object
  * Input
    - Default value for customAttrs use new Object
  * Button
    - Default value for customAttrs use new Object

#### 1.6.3
  * Combobox
    - Added README
    - Pass arbitrary attributes for input
    - Turned off autocomplete for ComboBox
  * Button
    - Pass arbitrary attributes for input
  * Input
    - Pass arbitrary attributes for input 
  * AceEditor
    - Added support for search in editor

#### 1.6.2
  - Missed an import of AutoComplete, now removed

#### 1.6.1
  - Missed building dist-folder

#### 1.6.0
  - Added new component: ComboBox
  - Updated GridFilter so it now uses Combobox + various refactoring
  - Removed AutoComplete component, Combobox does a better job + a lot more
  - GridPagination decimal bugfix + style updates so that larger page numbers are handled
  - Updated so all components now are named (helps with stack-traces + Chrome Vue dev-tool)

#### 1.5.2
  - AceEditor always goes to line(0) after it's received editor data

#### 1.5.1
  - Specified vue-auto-complete to use 0.6.2. Latest version uses new @vue/test-utils, builds are breaking. Will investigate

#### 1.5.0
  - Added new component: Ace Editor

#### 1.4.43
  - Reverted back to old verison of handsontable

#### 1.4.42
  - Reverted back to latest compatible version of handsontable

#### 1.4.41
  - Upgraded to latest handsontable

#### 1.4.40
  * Grid
    - Removed the custom syncToLocalStorage handler - now only using the build-in handler
    - Simplified + repaired how columns are rendered. Now any custom column widths are used correctly
    - Added customClassRenderer - Allows a config to set a custom class to all cells in a column
    - Bugfix: Double click wouldn't use the correct column if column order had changed
    - General clean up

#### 1.4.39
  * Input
    - Pass on event object in changeHandler
    - Don't validate isValid to boolean, accept arbitrary format (undefined when not passed in)
    - Allow component to take pattern as prop

#### 1.4.38
  * Input
    - Forgot to build and publish /dist/styles.css

#### 1.4.37
  * Input
    - Position of is-valid/is-invalid icon fixed

#### 1.4.36
  * BamboraGrid
    - Use UUIDKEy as id to save columns locally with persistantState and not interfer with other tables

#### 1.4.35
  - Accidentally the version was set to 1.4.34 which causes that to act as "latest". Just bumping the version over that so that fetching latest won't have the bug fixed after 1.4.34

#### 1.4.5
  * GridPagination
    - Bug fix: Render pageButtons called an undeclared variable and it threw an error

#### 1.4.4
  * BamboraGrid
    - Fix defect when sorting and clicking. Correct row is now used.

#### 1.4.3
  * GridFilter
    - When editing an existing filter, hide the "old" one until the new is done, then delete it (so we don't trigger a new request)

#### 1.4.2
  * GridPagination
    - Use Math.ceil() instead and only for when calc total pagebuttons to show

#### 1.4.1
  * GridPagination
    - Added Math.floor() to selected page, there were times when you would end up on page 4.0005
    - Adds arbitrary passed on $attrs to outer div as attributes (allows to pass in styles for example)

#### 1.4.0
  * GridPagination
    - Added a new component to handle pagination in grid

#### 1.3.0
  * GridFilter
    - Additional changes to GridFilter, moved a lot of add/edit logic into the component's util file
    - Single handle function for adding/editing a filter that the application can call
    - Added Readme for GridFilter

#### 1.2.0
  * Many updates for GridFilter
     - MultiSelect filter
     - Edit already added filters
     - Bugfixes
     - Layout fixes
   * Button css events fix (Button would stay in active mode after click)
   * Dropdown border color is now same as Input


#### 1.1.0
  * Added new component AutoComplete (dropdown + search for options)

#### 1.0.9
  * Expose handsontable instance on window to be able to use plugins like exportFile

#### 1.0.8
  * Testing increment of version-number since previous build failed due to invalid version-number

#### 1.0.7.1
  * Added moment dependency

#### 1.0.7
  * Bugfix to Grid. ColumnSettings weren't generated correctly (bug where default settings were merged with customSettings)
  * Added new formatter to grid: formatDateTime (formats to YYYY-MM-DD hh:mm) or as specified in the "dateFormat" property

#### 1.0.6
  * Set zIndex value to dropdown only if open (clashed when popping open over another dropdown)

#### 1.0.5
  * BamboraFrid - Fix bug in click logic when using heml in headers

#### 1.0.4
  * Dropdown - Handle click on dropdown selected value to toggle open

#### 1.0.3
- Some additional changes to Dropdown:
   * Handle overflow in options + overflow for selectedValue
   * Fixed bug where custom classes didn't get appended when toggling open-class
   * Fixed z-index bug where dropdown appeared under Grid (2500)

- SlideInContent
   * Increased z-Index to appear over dropdown (3500)

#### 1.0.2
- Re-worked Dropdown. Use same format in options and selected option. Changed prop "defaultOption" to placeholder. Removed some bankClient specific conditionals.

#### 1.0.1
- Only trigger grid click & dblclick when the referring element is not a TH (only trigger when clicking a normal cell and not column headers)

#### 1.0.0
- First version, added a set of components:
* BamboraGrid
* GridFilter
* SlideInContent
* Input
* Button
* Dropdown
* Spinner
