'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = undefined;

var _babelHelperVueJsxMergeProps = require('babel-helper-vue-jsx-merge-props');

var _babelHelperVueJsxMergeProps2 = _interopRequireDefault(_babelHelperVueJsxMergeProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Button = exports.Button = {
  name: 'button-component',
  functional: true,
  props: {
    label: { type: [String], required: true },
    disabled: { type: [Boolean], required: false },
    isLoading: { type: [Boolean], required: false },
    additionalClasses: { type: [String], required: false, default: '' },
    theme: { type: [String], required: false },
    customAttrs: { type: [Object], required: false, default: function _default() {
        return new Object();
      } }
  },
  render: function render(h, context) {
    var _context$props = context.props,
        label = _context$props.label,
        disabled = _context$props.disabled,
        isLoading = _context$props.isLoading,
        additionalClasses = _context$props.additionalClasses,
        customAttrs = _context$props.customAttrs;
    var clickHandler = context.listeners.clickHandler;

    var attributes = {
      attrs: customAttrs
    };

    return h(
      'button',
      (0, _babelHelperVueJsxMergeProps2.default)([{ 'class': 'btn ' + additionalClasses + ' ' + (isLoading && 'loading'), attrs: { disabled: disabled }
      }, attributes, {
        on: {
          'click': function click($event) {
            for (var _len = arguments.length, attrs = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
              attrs[_key - 1] = arguments[_key];
            }

            clickHandler.apply(undefined, [$event].concat(attrs));
          }
        }
      }]),
      [label]
    );
  }
};