'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Input = undefined;

var _babelHelperVueJsxMergeProps = require('babel-helper-vue-jsx-merge-props');

var _babelHelperVueJsxMergeProps2 = _interopRequireDefault(_babelHelperVueJsxMergeProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Input = exports.Input = {
  name: 'input-component',
  functional: true,
  props: {
    name: { type: [String], required: false },
    value: { type: [String], required: false },
    type: { type: [String], required: false },
    pattern: { type: [String], required: false },
    disabled: { type: [Boolean], required: false },
    placeholder: { type: [String], required: false },
    label: { type: [String], required: false },
    isValid: { required: false },
    id: { type: [String], required: false },
    customAttrs: { type: [Object], required: false, default: function _default() {
        return new Object();
      } }
  },
  render: function render(h, context) {
    var _context$props = context.props,
        name = _context$props.name,
        value = _context$props.value,
        type = _context$props.type,
        pattern = _context$props.pattern,
        disabled = _context$props.disabled,
        placeholder = _context$props.placeholder,
        label = _context$props.label,
        isValid = _context$props.isValid,
        id = _context$props.id,
        customAttrs = _context$props.customAttrs;
    var _context$listeners = context.listeners,
        changeHandler = _context$listeners.changeHandler,
        blurHandler = _context$listeners.blurHandler;

    var attributes = {
      attrs: customAttrs
    };
    var classes = '';
    if (value && value.length > 0 && typeof isValid === 'boolean') {
      classes += isValid ? 'valid' : 'invalid';
    }

    return h(
      'div',
      { 'class': 'input-wrapper' },
      [label && h(
        'label',
        { 'class': 'input-label', attrs: { 'for': name }
        },
        [label]
      ), h('input', (0, _babelHelperVueJsxMergeProps2.default)([{
        attrs: {
          id: id,

          type: type,
          pattern: pattern ? pattern : '',

          disabled: disabled,

          name: name,
          placeholder: placeholder
        },
        domProps: {
          'value': value
        },
        'class': classes }, attributes, {
        on: {
          'keyup': function keyup($event) {
            for (var _len = arguments.length, attrs = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
              attrs[_key - 1] = arguments[_key];
            }

            (function (e) {
              return changeHandler(e.target.value, e);
            }).apply(undefined, [$event].concat(attrs));
          },
          'change': function change($event) {
            for (var _len2 = arguments.length, attrs = Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
              attrs[_key2 - 1] = arguments[_key2];
            }

            (function (e) {
              return changeHandler(e.target.value, e);
            }).apply(undefined, [$event].concat(attrs));
          },
          'blur': function blur($event) {
            for (var _len3 = arguments.length, attrs = Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
              attrs[_key3 - 1] = arguments[_key3];
            }

            (function (e) {
              return blurHandler(e.target.value, e);
            }).apply(undefined, [$event].concat(attrs));
          }
        }
      }])), value && value.length > 0 && isValid !== undefined && isValid === true && h('div', { 'class': 'icon-valid' }), value && value.length > 0 && isValid !== undefined && isValid === false && h('div', { 'class': 'icon-invalid' })]
    );
  }
};