'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SlideInContent = undefined;

var _babelHelperVueJsxMergeProps = require('babel-helper-vue-jsx-merge-props');

var _babelHelperVueJsxMergeProps2 = _interopRequireDefault(_babelHelperVueJsxMergeProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getClasses(show, align, size) {
  var classes = 'slide-in-content-component component';
  if (show) {
    classes += ' visible';
  }
  classes += ' slide-in-' + (align || 'right'); // default to right align
  classes += ' slide-in-' + (size || 'medium'); // default to medium size
  return classes;
}

var SlideInContent = exports.SlideInContent = {
  name: 'slide-in-content-component',
  functional: true,
  props: {
    header: {
      type: [String],
      required: false
    },
    show: {
      type: [Boolean],
      required: true
    },
    align: {
      type: [String],
      required: false
    },
    content: {
      type: [Object],
      required: false
    },
    size: {
      type: [String],
      required: false
    }
  },
  render: function render(h, context) {
    var _context$props = context.props,
        header = _context$props.header,
        show = _context$props.show,
        align = _context$props.align,
        content = _context$props.content,
        size = _context$props.size;
    var close = context.listeners.close;

    var classes = getClasses(show, align, size);

    return h(
      'div',
      { 'class': classes },
      [h(
        'div',
        { 'class': 'slide-in-content-component-inner' },
        [header && h(
          'h2',
          { 'class': 'header-slide-in' },
          [header]
        ), h('span', (0, _babelHelperVueJsxMergeProps2.default)([{ 'class': 'close-slide-in' }, {
          on: {
            'click': function click($event) {
              for (var _len = arguments.length, attrs = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
                attrs[_key - 1] = arguments[_key];
              }

              close.apply(undefined, [$event].concat(attrs));
            }
          }
        }])), context.children]
      )]
    );
  }
};