'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

exports.setSetting = setSetting;
exports.getSetting = getSetting;
exports.clearSetting = clearSetting;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function keyify(key) {
  var STORAGE_PREFIX = 'BAMBORA_GL_BO';
  return STORAGE_PREFIX + '_' + key;
}

function setSetting(key, val) {
  if (!key || val === undefined || val === null) throw Error('Missing key/value parameters');
  localStorage.setItem(keyify(key), (0, _stringify2.default)(val));
}

function getSetting(key) {
  if (!key) throw Error('Missing key parameters');
  var value = JSON.parse(localStorage.getItem(keyify(key)));
  if (value !== undefined && value !== null) {
    return value;
  } else {
    return null;
  }
}

function clearSetting(key) {
  if (!key) throw Error('Missing key parameters');
  localStorage.removeItem(keyify(key));
}